Exodus 7.22

Functions
ex_get_elem_var_time.c File Reference
`#include "exodusII.h"`

## Functions
int | ex_get_elem_var_time (int exoid, int elem_var_index, int64_t elem_number, int beg_time_step, int end_time_step, void *elem_var_vals)

## Function Documentation

## ◆ ex_get_elem_var_time()

int ex_get_elem_var_time | ( | int | exoid,
|  | int | elem_var_index,
|  | int64_t | elem_number,
|  | int | beg_time_step,
|  | int | end_time_step,
|  | void * | elem_var_vals
| ) |  |

Deprecated:
  Use ex_get_var_time()(exoid, EX_ELEM_BLOCK, elem_var_index, elem_number, beg_time_step, end_time_step, elem_var_vals)

The function ex_get_elem_var_time() reads the values of an element variable for a single element through a specified number of time steps. Memory must be allocated for the element variable values array before this function is invoked.

Because element variables are floating point values, the application code must declare the array passed to be the appropriate type (float or double) to match the compute word size passed in ex_create() or ex_open().

Returns
  In case of an error, ex_get_elem_var_time() returns a negative number; a warning will return a positive number. Possible causes of errors include:
  - data file not properly opened with call to ex_create() or ex_open()
  - data file not initialized properly with call to ex_put_init().
  - ex_put_elem_block() not called previously to specify parameters for all element blocks.
  - variable does not exist for the desired element or results haven't been written.

Parameters

  [in] | exoid | exodus file ID returned from a previous call to ex_create() or ex_open().
  [in] | elem_var_index | The index of the desired element variable. The first variable has an index of 1.
  [in] | elem_number | The internal ID (see Section LocalElementIds) of the desired element. The first element is 1.
  [in] | beg_time_step | The beginning time step for which an element variable value is desired. This is not a time value but rather a time step number, as described under ex_put_time(). The first time step is 1.
  [in] | end_time_step | The last time step for which an element variable value is desired. If negative, the last time step in the database will be used. The first time step is 1.
  [out] | elem_var_vals | returned array of(end_time_step {-} beg_time_step + 1) values of the elem_number-th element for the elem_var_index-th element variable.

For example, the following coding will read the values of the var_index-th element variable for element number 2 from the first time step to the last time step:

int error, exoid, num_time_steps, var_index, elem_num,
beg_time, end_time;
float *var_values;
/* determine how many time steps are stored */
num_time_steps = ex_inquire_int(exoid, EX_INQ_TIME);
/* read an element variable through time */
var_values = (float *) calloc (num_time_steps, sizeof(float));
var_index = 2;
elem_num = 2;
beg_time = 1;
end_time = -1;
error = ex_get_elem_var_time (exoid, var_index, elem_num,
beg_time, end_time, var_values);
/* Using non-deprecated function: */
error = ex_get_elem_var_time (exoid, EX_ELEM_BLOCK, var_index, elem_num,
beg_time, end_time, var_values);
ex_inquire_int
int64_t ex_inquire_int(int exoid, ex_inquiry req_info)
Definition: ex_inquire.c:954
ex_get_elem_var_time
SEACAS_DEPRECATED int ex_get_elem_var_time(int exoid, int elem_var_index, int64_t elem_number, int beg_time_step, int end_time_step, void *elem_var_vals)
Definition: ex_get_elem_var_time.c:139
error
error
Definition: ex_put_elem_var_tab.c:115
ex__obj_stats::exoid
int exoid
Definition: exodusII_int.h:666
EX_INQ_TIME
Definition: exodusII.h:172
EX_ELEM_BLOCK
Definition: exodusII.h:261